Bug 664982

Summary: Review Request: perl-Parallel-Prefork - Simple prefork server framework
Product: [Fedora] Fedora Reporter: Ralf Corsepius <rc040203>
Component: Package ReviewAssignee: Iain Arnell <iarnell>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, iarnell, notting
Target Milestone: ---Flags: iarnell: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-Parallel-Prefork-0.11-1.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-02-01 20:52:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 664949, 664976    
Bug Blocks: 665081    

Description Ralf Corsepius 2010-12-22 11:32:48 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Parallel-Prefork.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Parallel-Prefork-0.09-1.fc15.src.rpm

Description: 
Parallel::Prefork is much like Parallel::ForkManager, but supports graceful
shutdown and run-time reconfiguration.

Comment 2 Iain Arnell 2011-01-21 07:34:33 UTC
+ source files match upstream.  
    d4b9347c414e7f0d30708e14e05ee3a6  Parallel-Prefork-0.11.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock (locally, rawhide)
+ package installs properly.
+ rpmlint has no meaningful complaints:
    perl-Parallel-Prefork.noarch: W: spelling-error %description -l en_US ForkManager -> Fork Manager, Fork-manager, Micromanager
    perl-Parallel-Prefork.src: W: spelling-error %description -l en_US ForkManager -> Fork Manager, Fork-manager, Micromanager
    2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ final provides and requires are sane:
    perl(Parallel::Prefork) = 0.11
    perl-Parallel-Prefork = 0.11-1.fc15
    perl(Parallel::Prefork::SpareWorkers)  
    perl(Parallel::Prefork::SpareWorkers::Scoreboard)  

=
    perl >= 0:5.008_001
    perl(base)  
    perl(Class::Accessor::Lite)  
    perl(constant)  
    perl(Exporter)  
    perl(Fcntl)  
    perl(File::Temp)  
    perl(List::MoreUtils)  
    perl(List::Util)  
    perl(:MODULE_COMPAT_5.12.2)  
    perl(Parallel::Prefork)  
    perl(Parallel::Prefork::SpareWorkers)  
    perl(POSIX)  
    perl(Proc::Wait3)  
    perl(Scope::Guard)  
    perl(strict)  
    perl(Time::HiRes)  
    perl(warnings)  

+ %check is present and all tests pass (review request exists for perl-Parallel-Scoreboard to complete test suite)
    t/01-base.t .......... ok
    t/02-reconfigure.t ... ok
    t/03-spareworkers.t .. ok
    t/04-interval.t ...... skipped: Test requires module 'Parallel::Scoreboard' but it's not found
    All tests successful.
    Files=4, Tests=16, 11 wallclock secs ( 0.03 usr  0.01 sys +  0.24 cusr  0.12 csys =  0.40 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

A nice clean package. APPROVED.

Comment 3 Ralf Corsepius 2011-01-21 08:07:13 UTC
Thanks for the review.

>    t/04-interval.t ...... skipped: Test requires module 'Parallel::Scoreboard'
FWIW: Parallel::Scoreboard's review request is BZ 671196. I know this test works and would add it Parallel::Scoreboard has found its way into Fedora.


New Package SCM Request
=======================
Package Name: perl-Parallel-Prefork
Short Description: Simple prefork server framework
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2011-01-21 14:01:46 UTC
Git done (by process-git-requests).

Comment 5 Ralf Corsepius 2011-01-22 08:16:34 UTC
Package built for f15 - f13 and f14 are stuck waiting for Fedora QA's 
delay queue to release other packages this package depends upon.

Comment 6 Fedora Update System 2011-01-24 02:28:52 UTC
perl-Parallel-Prefork-0.11-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Parallel-Prefork-0.11-1.fc14

Comment 7 Fedora Update System 2011-01-24 02:29:01 UTC
perl-Parallel-Prefork-0.11-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Parallel-Prefork-0.11-1.fc13

Comment 8 Fedora Update System 2011-01-24 21:00:21 UTC
perl-Parallel-Prefork-0.11-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Parallel-Prefork'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Parallel-Prefork-0.11-1.fc14

Comment 9 Fedora Update System 2011-02-01 20:52:17 UTC
perl-Parallel-Prefork-0.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-02-01 20:53:28 UTC
perl-Parallel-Prefork-0.11-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.